HomeFree Sample Config
======================

## Edit config

Clone this repo and modify configuration.nix as needed onto a freshly installed NixOS machine.

## Create secrets

- Generate appropriate GPG keys. You will need a private SSH key at ~/.ssh/id_rsa

```
./generate-gpg-keys.sh
```

- Create secrets file in this folder. Use the following commands.

```
sops secrets/authentik.yaml
sops secrets/backup.yaml
sops secrets/ddclient.yaml
sops secrets/linkwarden.yaml
sops secrets/nextcloud.yaml
sops secrets/tailscale.yaml
```

And copy the contents from the appropriate file in the `secrets-unencrypted` folder, changing
the values as required.

## Build

```
./build.sh
```

## You can also deploy remotely to a machine running the Live CD

```
./deploy.sh
```

BUT, you'll have to check out the source onto the server and run the `./generate-gpg-keys.sh` script again after deployment.
